%define name dbanner
%define version 1.02
%define release 2mdk

Summary: Yet, another banner. With various fonts 
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Toys
Source: dbanner-1.02b5.tar.bz2
Patch: dbanner-config.patch.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description 
Dbanner is, yet, another banner. Read input, and writes it in
big-ascii-chars. But with this one, you can use different (ascii-art) 
fonts (gothic, side, etc) at your will. You can even create your own
ascii-art font and use it with dbanner.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch -p1

rm -fv `find . -name "*.orig"`

%build
# Proces kompilacji
export RPM_OPT_FLAGS
make 

%install
rm -fv contrib/dbanner.1

install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/dbanner
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1

install -m 755 dbanner $RPM_BUILD_ROOT/usr/bin/
install -m 644 fonts/dban_font_* $RPM_BUILD_ROOT/usr/lib/dbanner/

%files
%defattr (-,root,root)
%doc HISTORY INSTALL OLD-README README dbanner.lsm contrib/
%dir /usr/lib/*
/usr/bin/*
/usr/lib/dbanner/dban_font_*


%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.02-2mdk
- clean spec
- fix group

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

